figure(1); hold on; warning('off', 'all')

P = tf(b, [1 -a], 1);
N = 10^3;
f = 10.^linspace(-3,log10(1.2*pi),N);
%%
hold on;
disthandleA     = plot([omega.Data(1), omega.Data(1)], [-40,20], 'g');
disttexthandleA = text(omega.Data(1), 15, 0,'omega');

C = tf(S(1,:),R(1,:),1);
[o1, o2]=bode(P/(1 +C*P),f);
bodemag(P/(1 +C*P),f, 'w');
mag = reshape(o1, [N,1]);
bodehandle = loglog(f, mag, 'r', 'LineWidth', 1);

%%
for k = 1:1:SimulationTime


    set(disthandleA, 'Xdata', omega.Data(k).*[1,1])
    set(disttexthandleA, 'Position', [omega.Data(k),15])
    
    C = tf(S(k,:),R(k,:),1);
    [o1, o2]=bode(P/(1 +C*P),f);
    mag = reshape(o1, [N,1]);
    set(bodehandle, 'Ydata', mag2db(mag))
    title(['Amplitude bode diagram of C/(1+PC) at the time T=',num2str(k)])
    


    pause(0.01);
end

warning('on', 'all')